## ptm 0.2.2

=== DESCRIPTION ===
Package: ptm
Type: Package
Title: Analyses of Protein Post-Translational Modifications
Version: 0.2.2
Author: Juan Carlos Aledo [au, cre]
Maintainer: Juan Carlos Aledo <caledo@uma.es>
Description: Contains utilities for the analysis of post-translational modifications (PTMs) in proteins, 
    with particular emphasis on the sulfoxidation of methionine residues. Features include the ability to download, 
    filter and analyze data from the sulfoxidation database 'MetOSite', and integrate data from other main PTMs 
    (other databases). Utilities to search and characterize S-aromatic motifs in proteins are also provided. 
    In addition, functions to analyze sequence environments around modifiable residues in proteins can be found. 
    For instance, 'ptm' allows to search for amino acids either overrepresented or avoided around the modifiable 
    residues from the proteins of interest. Functions tailored to test statistical hypothesis related to
    these differential sequence environments are also implemented. A number of utilities to assess the effect
    of the modification/mutation of a given residue on the protein stability, have also been included in this package.
    Further and detailed information regarding the methods in this package can be found in (Aledo (2020) <https://metositeptm.com>).
License: GPL (>= 2)
URL: https://bitbucket.org/jcaledo/ptm, https://metositeptm.com
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
Depends: R (>= 3.5.0)
Imports: bio3d (>= 2.3-4), Biostrings, graphics, httr (>= 1.3.1),
        igraph, jsonlite, muscle, RCurl, seqinr, stats, utils, xml2,
        XML
Suggests: KEGGREST, knitr, markdown, rmarkdown, stringr, testthat,
NeedsCompilation: no
Packaged: 2020-12-15 12:44:24 UTC; JCA
Repository: CRAN
Date/Publication: 2020-12-16 16:00:05 UTC

## ptm 0.2.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ptm
 Type: Package
 Title: Analyses of Protein Post-Translational Modifications
-Version: 0.2.2
+Version: 0.2.3
 Author: Juan Carlos Aledo [au, cre]
 Maintainer: Juan Carlos Aledo <caledo@uma.es>
 Description: Contains utilities for the analysis of post-translational modifications (PTMs) in proteins, 
@@ -19,12 +19,11 @@
 Encoding: UTF-8
 LazyData: true
 RoxygenNote: 7.1.1
-Depends: R (>= 3.5.0)
-Imports: bio3d (>= 2.3-4), Biostrings, graphics, httr (>= 1.3.1),
-        igraph, jsonlite, muscle, RCurl, seqinr, stats, utils, xml2,
-        XML
-Suggests: KEGGREST, knitr, markdown, rmarkdown, stringr, testthat,
+Depends: R (>= 4.0.0)
+Imports: bio3d (>= 2.3-4), Biostrings, curl, graphics, httr (>= 1.3.1),
+        igraph, jsonlite, muscle, RCurl, seqinr, stats, utils, xml2
+Suggests: KEGGREST, knitr, markdown, testthat
 NeedsCompilation: no
-Packaged: 2020-12-15 12:44:24 UTC; JCA
+Packaged: 2021-05-09 07:08:06 UTC; juancarlosaledo
 Repository: CRAN
-Date/Publication: 2020-12-16 16:00:05 UTC
+Date/Publication: 2021-05-09 07:30:02 UTC

## ptm 0.2.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ptm
 Type: Package
 Title: Analyses of Protein Post-Translational Modifications
-Version: 0.2.3
+Version: 0.2.4
 Author: Juan Carlos Aledo [au, cre]
 Maintainer: Juan Carlos Aledo <caledo@uma.es>
 Description: Contains utilities for the analysis of post-translational modifications (PTMs) in proteins, 
@@ -24,6 +24,6 @@
         igraph, jsonlite, muscle, RCurl, seqinr, stats, utils, xml2
 Suggests: KEGGREST, knitr, markdown, testthat
 NeedsCompilation: no
-Packaged: 2021-05-09 07:08:06 UTC; juancarlosaledo
+Packaged: 2021-05-24 07:01:16 UTC; JCA
 Repository: CRAN
-Date/Publication: 2021-05-09 07:30:02 UTC
+Date/Publication: 2021-05-24 07:20:02 UTC

## ptm 0.2.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: ptm
 Type: Package
 Title: Analyses of Protein Post-Translational Modifications
-Version: 0.2.4
-Author: Juan Carlos Aledo [au, cre]
+Version: 0.2.5
+Authors@R: person("Juan Carlos", "Aledo", email = "caledo@uma.es", role = c("aut", "cre"))
 Maintainer: Juan Carlos Aledo <caledo@uma.es>
 Description: Contains utilities for the analysis of post-translational modifications (PTMs) in proteins, 
     with particular emphasis on the sulfoxidation of methionine residues. Features include the ability to download, 
@@ -18,12 +18,13 @@
 URL: https://bitbucket.org/jcaledo/ptm, https://metositeptm.com
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 Depends: R (>= 4.0.0)
 Imports: bio3d (>= 2.3-4), Biostrings, curl, graphics, httr (>= 1.3.1),
         igraph, jsonlite, muscle, RCurl, seqinr, stats, utils, xml2
 Suggests: KEGGREST, knitr, markdown, testthat
 NeedsCompilation: no
-Packaged: 2021-05-24 07:01:16 UTC; JCA
+Packaged: 2022-02-14 19:10:02 UTC; juancarlosaledo
+Author: Juan Carlos Aledo [aut, cre]
 Repository: CRAN
-Date/Publication: 2021-05-24 07:20:02 UTC
+Date/Publication: 2022-02-14 19:40:05 UTC

## ptm 0.2.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ptm
 Type: Package
 Title: Analyses of Protein Post-Translational Modifications
-Version: 0.2.5
+Version: 0.2.6
 Authors@R: person("Juan Carlos", "Aledo", email = "caledo@uma.es", role = c("aut", "cre"))
 Maintainer: Juan Carlos Aledo <caledo@uma.es>
 Description: Contains utilities for the analysis of post-translational modifications (PTMs) in proteins, 
@@ -18,13 +18,13 @@
 URL: https://bitbucket.org/jcaledo/ptm, https://metositeptm.com
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.1
 Depends: R (>= 4.0.0)
 Imports: bio3d (>= 2.3-4), Biostrings, curl, graphics, httr (>= 1.3.1),
         igraph, jsonlite, muscle, RCurl, seqinr, stats, utils, xml2
 Suggests: KEGGREST, knitr, markdown, testthat
 NeedsCompilation: no
-Packaged: 2022-02-14 19:10:02 UTC; juancarlosaledo
+Packaged: 2022-08-07 14:50:26 UTC; juancarlosaledo
 Author: Juan Carlos Aledo [aut, cre]
 Repository: CRAN
-Date/Publication: 2022-02-14 19:40:05 UTC
+Date/Publication: 2022-08-07 15:20:17 UTC

## ptm 0.2.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Package: ptm
 Type: Package
 Title: Analyses of Protein Post-Translational Modifications
-Version: 0.2.6
+Version: 0.2.7
 Authors@R: person("Juan Carlos", "Aledo", email = "caledo@uma.es", role = c("aut", "cre"))
-Maintainer: Juan Carlos Aledo <caledo@uma.es>
 Description: Contains utilities for the analysis of post-translational modifications (PTMs) in proteins, 
     with particular emphasis on the sulfoxidation of methionine residues. Features include the ability to download, 
     filter and analyze data from the sulfoxidation database 'MetOSite', and integrate data from other main PTMs 
@@ -18,13 +17,14 @@
 URL: https://bitbucket.org/jcaledo/ptm, https://metositeptm.com
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 7.2.1
+RoxygenNote: 7.3.1
 Depends: R (>= 4.0.0)
-Imports: bio3d (>= 2.3-4), Biostrings, curl, graphics, httr (>= 1.3.1),
-        igraph, jsonlite, muscle, RCurl, seqinr, stats, utils, xml2
-Suggests: KEGGREST, knitr, markdown, testthat
+Imports: bio3d (>= 2.3-4), curl, graphics, httr (>= 1.3.1), igraph,
+        jsonlite, RCurl, seqinr, stats, utils, xml2
+Suggests: Biostrings, KEGGREST, knitr, markdown, muscle, testthat
 NeedsCompilation: no
-Packaged: 2022-08-07 14:50:26 UTC; juancarlosaledo
+Packaged: 2024-05-07 06:47:31 UTC; JCA
 Author: Juan Carlos Aledo [aut, cre]
+Maintainer: Juan Carlos Aledo <caledo@uma.es>
 Repository: CRAN
-Date/Publication: 2022-08-07 15:20:17 UTC
+Date/Publication: 2024-05-09 14:30:02 UTC

## ptm 1.0.1

=== DESCRIPTION ===
Package: ptm
Type: Package
Title: Analyses of Protein Post-Translational Modifications
Version: 1.0.1
Authors@R: person("Juan Carlos", "Aledo", email = "caledo@uma.es", role = c("aut", "cre"))
Description: Contains utilities for the analysis of post-translational modifications (PTMs) in proteins, 
    with particular emphasis on the sulfoxidation of methionine residues. Features include the ability to download, 
    filter and analyze data from the sulfoxidation database 'MetOSite'. Utilities to search and characterize S-aromatic motifs in proteins are also provided. 
    In addition, functions to analyze sequence environments around modifiable residues in proteins can be found. 
    For instance, 'ptm' allows to search for amino acids either overrepresented or avoided around the modifiable 
    residues from the proteins of interest. Functions tailored to test statistical hypothesis related to
    these differential sequence environments are also implemented. 
    Further and detailed information regarding the methods in this package can be found in (Aledo (2020) <https://metositeptm.com>).
License: GPL (>= 2)
URL: https://bitbucket.org/jcaledo/ptm,
        https://github.com/jcaledo/Rptm, https://metositeptm.com
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.3.1
Depends: R (>= 4.0.0)
Imports: bio3d (>= 2.3-4), curl, graphics, httr, jsonlite, stats
Suggests: knitr, markdown, testthat
NeedsCompilation: no
Packaged: 2024-05-20 11:37:04 UTC; JCA
Author: Juan Carlos Aledo [aut, cre]
Maintainer: Juan Carlos Aledo <caledo@uma.es>
Repository: CRAN
Date/Publication: 2024-05-21 10:40:13 UTC

## ptm 4.0-cl4.3.2u2

=== debian/changelog ===
ptm (4.0-cl4.3.2u2) RELEASED; urgency=low

  * Version update for 4.3.2

 -- dev-support <dev-support@cumulusnetworks.com>  Thu, 28 Sep 2023 02:20:50 -0700

ptm (4.0-cl4.3.2u1) RELEASED; urgency=low

  * Version update for 4.3.2

 -- dev-support <dev-support@cumulusnetworks.com>  Fri, 22 Sep 2023 03:49:44 -0700

ptm (4.0-cl4u2) RELEASED; urgency=low

  * CumulusLinux 4.2 release
  * Closes: CM-28442 - Fix neighbor hostname change mishandling

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 02 Jun 2020 13:59:03 -0700

ptm (4.0-cl4u1.b1) RELEASED; urgency=low

  * rebuild with no source changes against newer build dependencies

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 03 Mar 2020 19:44:31 +0000

ptm (4.0-cl4u1) RELEASED; urgency=low

  * CumulusLinux 4.0 release

 -- dev-support <dev-support@cumulusnetworks.com>  Sun, 21 Apr 2019 12:00:00 -0700

ptm (3.0-2-cl3u9) RELEASED; urgency=low

  * CumulusLinux 3.7.3 release
  * Closes: CM-23350 - Fix FQDN handling in LLDP nbr

 -- dev-support <dev-support@cumulusnetworks.com>  Fri, 14 Dec 2018 12:00:00 -0700

ptm (3.0-2-cl3u8) RELEASED; urgency=low

  * CumulusLinux 3.7 release
  * Closes: CM-21969 - Fix BFD UDP starting source port to be 49152
  * Closes: CM-21161 - Set environment vars during topo script callback

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 09 Aug 2018 12:00:00 -0700

ptm (3.0-2-cl3u7) RELEASED; urgency=low

  * CumulusLinux 3.6 release
  * Closes: CM-20042 - Improve BFD logging 

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 06 Apr 2018 12:00:00 -0700

ptm (3.0-2-cl3u6) RELEASED; urgency=low

  * CumulusLinux 3.4 release
  * Fix copyright

 -- dev-support <dev-support@cumulusnetworks.com>  Fri, 04 Aug 2017 09:02:35 -0700

ptm (3.0-2-cl3u5) RELEASED; urgency=low

  * CumulusLinux 3.3 release

 -- dev-support <dev-support@cumulusnetworks.com>  Fri, 14 Apr 2017 15:00:00 -0800

ptm (3.0-2-cl3u4) RELEASED; urgency=low

  * CumulusLinux 3.2 release

 -- dev-support <dev-support@cumulusnetworks.com>  Fri, 7 Oct 2016 15:00:00 -0800

ptm (3.0-2-cl3u3) RELEASED; urgency=low

  * CumulusLinux 3.1 release

 -- dev-support <dev-support@cumulusnetworks.com>  Thur, 14 July 2016 15:00:00 -0800

ptm (3.0-2-cl3u2) RELEASED; urgency=low

  * Initial CumulusLinux 3 release
  * New. Enabled: New VRF support

 -- dev-support <dev-support@cumulusnetworks.com>  Thur, 05 May 2016 15:00:00 -0800

=== debian/control ===
Source: ptm
Section: net
Priority: extra
Maintainer: dev-support <dev-support@cumulusnetworks.com>
Build-Depends:  debhelper (>= 8.0.0),
                liblldpctl-dev,
                libgraphviz-dev,
                dh-autoreconf,
                dh-systemd,
                python-docutils
Standards-Version: 3.9.8
XS-Python-Version: All
Homepage: 
#Vcs-Git: git://git.debian.org/collab-maint/ptm.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/ptm.git;a=summary

Package: ptmd
Architecture: any
Depends: libcgraph6, lldpd, ${shlibs:Depends}, ${misc:Depends}
Description: Prescriptive Topology Manager Daemon
 This daemon verifies that the node it runs on is connected correctly
 to its neighbors. Using a network graph specification in Graphviz's
 DOT language, this ptmd determines the expected connectivity of the
 node it is running on, verifies the expected connectivity with the
 actual connectivity using lldpd and notifies the relevant clients of
 the pass/fail status of the connectivity check for each port.
 The daemon also supports Bi-directional forwarding detection for
 singlehop and multihop sessions. BFD sessions can be started via
 topology file and client API.

Package: libptm-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}
Description: Prespective Topology Manager library - development files
 This package contains APIs needed by clients to interfaces with ptmd.

=== debian/rules ===
#!/usr/bin/make -f 
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#ifeq ($(CARCH), amd64)
#export LD_LIBRARY=/usr/lib/x86_64-linux-gnu/libfakeroot:/usr/lib64/libfakeroot:/usr/lib32/libfakeroot
#../../sysroot/lib/powerpc-linux-gnu/:../../sysroot/usr/lib/powerpc-linux-gnu/
#endif

export DEB_BUILD_HARDENING=1
export DEB_BUILD_OPTIONS+=noopt
#
#include /usr/share/hardening-includes/hardening.make
#
export CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
export LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
#export CFLAGS+=$(HARDENING_CFLAGS)
#export LDFLAGS+=$(HARDENING_LDFLAGS)
DH_OPTION=-v

%:
	dh $@ --with systemd,autoreconf

override_dh_auto_build: 
	scripts/create-sym-links.sh
	dh_auto_build

override_dh_auto_test:

override_dh_strip:

override_dh_auto_install:
	dh_auto_install
	scripts/deb-rst2man.sh .
	install --mode=644 -D debian/rsyslog.d-ptmd.conf debian/tmp/etc/rsyslog.d/30-ptmd.conf
	install --mode=644 -D debian/ptmd.conf debian/tmp/etc/systemd/system/ptmd.service.d/ptmd.conf

override_dh_installinit:
	dh_installinit --no-act
